<h1>WPSSO Place and Local SEO Markup</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Place and Local SEO Markup</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Manage Schema Places and Local SEO for Facebook / Open Graph, Pinterest, and Google Local Business.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>5.1.1</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>5.6 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>4.4 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.6</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>local seo, local business, restaurant, meta tags, schema.org, location, place, address, venue, business hours, knowledge graph</td></tr>
</table>

<h2>Description</h2>

<p style="margin:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso-plm/assets/icon-256x256.png"></p>

<p><strong>Let Facebook, Pinterest and Google know about your places and locations:</strong></p>

<p>Add Facebook / Open Graph location, Pinterest Rich Pin place and Google Local Business / Local SEO markup.</p>

<p><strong>Provides place and location information for WPSSO Core and its add-ons:</strong></p>

<p>The <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a> can use place information for Facebook / Open Graph location, Pinterest Rich Pin place and Local SEO meta tags.</p>

<p>The <a href="https://wordpress.org/plugins/wpsso-organization/">WPSSO Organization add-on</a> can assign places to organizations (ie. content publisher, event organizer, etc.).</p>

<p>The <a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup add-on</a> can use place information for the Schema Event location, Schema Job Posting location, and the Schema Place type (and its sub-types) for post / page content about specific places and locations.</p>

<h3>WPSSO PLM Standard Features</h3>

<ul>
<li><p>Extends the features of the WPSSO Core plugin.</p></li>
<li><p>Provides place / location information to WPSSO Core, the WPSSO ORG add-on, and the WPSSO JSON add-on.</p></li>
<li><p>Manage one or more places:</p>

<ul>
<li>Place Schema Type</li>
<li>Place Name</li>
<li>Place Alternate Name</li>
<li>Place Description</li>
<li>Street Address</li>
<li>P.O. Box Number</li>
<li>City</li>
<li>State / Province</li>
<li>Zip / Postal Code</li>
<li>Country</li>
<li>Telephone</li>
<li>Place Latitude</li>
<li>Place Longitude</li>
<li>Place Altitude</li>
<li>Google Place ID</li>
<li>Place Image ID</li>
<li>or Place Image URL</li>
<li>Place Timezone</li>
<li>Open Days / Hours</li>
<li>Closes Mid-Day</li>
<li>Seasonal Dates</li>
<li>Local Business:

<ul>
<li>Service Radius</li>
<li>Currencies Accepted</li>
<li>Payment Accepted</li>
<li>Price Range</li>
</ul></li>
<li>Food Establishment:

<ul>
<li>Accepts Reservations</li>
<li>Serves Cuisine</li>
<li>Food Menu URL</li>
<li>Order Action URL(s)</li>
</ul></li>
</ul></li>
</ul>

<h3>WPSSO PLM Premium Features</h3>

<p>The Standard version is designed to satisfy the requirements of most standard WordPress sites / blogs. If your site includes posts / pages about specific places, then you may want the Premium version to select specific places for your post / page content. You may also want to activate the WPSSO Schema JSON-LD Markup add-on to express place information as Schema Place markup in JSON-LD format.</p>

<ul>
<li>Includes a Schema Place tab in the Document SSO metabox to select an existing place, or customize place information, for post / page content about specific places and locations.</li>
</ul>

<h3>WPSSO Core Plugin Required</h3>

<p>WPSSO Place and Local SEO Markup (aka WPSSO PLM) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>.</p>

<p>WPSSO Core and its add-ons make sure your content looks best on social sites and in search results, no matter how your webpages are shared, re-shared, messaged, posted, embedded, or crawled.</p>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-plm/installation/install-the-plugin/">Install the WPSSO Place and Local SEO Markup add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-plm/installation/uninstall-the-plugin/">Uninstall the WPSSO Place and Local SEO Markup add-on</a>.</li>
</ul>


<h2>Frequently Asked Questions</h2>




